use utf8;

+{
	v5.6 => {
		new => [
			['use utf8'],
			['\N{named character}'],
			['our'],
			['v1.2.3'],
			['sub :locked :method'],
			['open $fh, $mode, $expr'],
		],
		release => '2000-03-23',
		distro => {
			debian => 'woody',
			redhat => '2.1',
		},
		unicode => '3.0.1',
	},

	v5.8 => {
		new => [
			['unicode overhaul'],
			['PerlIO'],
		],
		release => '2002-07-18',
		distro => {
			debian => 'sarge',
			redhat => '3.9',
		},
		unicode => '3.2.0',
	},

	v5.10 => {
		new => [
			['//', 'defined-or operator'],
			['~~', 'smart-match operator to compare different data types'],
			['given', 'switch statement to smart-match with when/default'],
			['/(?<name>)/', 'named capture buffers into <code>%+</code>'],
			['s/keep\K//', 'floating positive lookbehind, efficient alternative for <code>s/(keep)/$1/</code>'],
			['/\v/, /\h/', 'vertical and horizontal whitespace escapes'],
			['my $_', 'lexically scoped version of the default variable'],
		],
		release => '2007-12-18',
		distro => {
			debian => 'lenny',
			redhat => '6.5',
		},
		unicode => '5.0.0',
	},

	v5.12 => {
		new => [
			['package version', 'package NAME VERSION shorthand for our $VERSION"'],
			['...', 'yada-yada operator: code placeholder'],
			['use strict', 'Implicit strictures if use VERSION >= 5.12'],
			['... when', '"when" is now allowed to be used as a statement modifier'],
		],
		release => '2010-04-12',
		unicode => '5.2',
	},

	v5.14 => {
		new => [
			['s///r', 'non-destructive substitution'],
			['/(?^)/', 'construct to reset to default modifiers'],
			['/(?{ m// })/', 'regular expressions can be nested in <code>/(?{})/</code> and <code>/(??{})/</code>'],
			["use re '/flags'", 'customize default modifiers'],
			['each $ref e.a.', 'array and hash container functions accept references'],
			['FH->method', 'filehandle method calls load IO::File on demand (eg. <code>STDOUT->flush</code>)'],
		],
		release => '2011-05-14',
		distro => {
			debian => 'wheezy',
		},
		unicode => '6.0+#8',
	},

	v5.16 => {
		new => [
			['__SUB__', 'current subroutine reference'],
			['fc, "\F"', 'unicode foldcase to compare case-insensitively'],
			['"\N{}"', 'automatic use charnames qw( :full :short )'],
		],
		release => '2012-05-20',
		distro => {
			redhat => '7.0',
		},
		unicode => '6.1',
	},

	v5.18 => {
		new => [
			['${^LAST_FH}', 'last read filehandle (used by <code>$.</code>)'],
			['/(?[ a + b ])/', 'regex set operations (character substraction -, unions &amp;)'],
			['my sub foo', 'lexical subroutines (also state, our)'],
			['next $expression', 'loop controls allow runtime expressions'],
			["no warnings 'experimental::…'", 'mechanism for experimental features, as of now required for smartmatch'],
		],
		release => '2013-05-18',
		distro => {
			debian => 'jessie',
		},
		unicode => '6.2',
	},

	v5.20 => {
		new => [
			['sub ($var)', 'subroutine signatures'],
			['%hash{…}', 'hash slices return key+value pairs'],
			['[]->@*', 'postfix dereferencing (also e.g. <code>$scalar->$*</code> for <code>$$scalar</code>)'],
			['use warnings; $a', 'variables $a and $b are exempt from <em>used once</em> warnings'],
		],
		unicode => '6.3',
		release => '2014-05-27',
	},
}
